## kf6-kdeclarative 6.18.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.18.0") # handled by release scripts
set(KF_DEP_VERSION "6.18.0") # handled by release scripts
set(REQUIRED_QT_VERSION 6.7.0)
project(KDeclarative VERSION ${KF_VERSION})

# Dependencies
include(FeatureSummary)
find_package(ECM 6.18.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(ECMDeprecationSettings)
include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMQmlModule)
include(CMakePackageConfigHelpers)
include(ECMGenerateQDoc)

find_package(Qt6 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED Qml Quick Gui)
find_package(KF6I18n ${KF_DEP_VERSION} REQUIRED)
find_package(KF6Config ${KF_DEP_VERSION} REQUIRED)
find_package(KF6GuiAddons ${KF_DEP_VERSION} REQUIRED)


if(NOT WIN32 AND NOT APPLE AND NOT ANDROID AND NOT HAIKU)
    find_package(KF6GlobalAccel ${KF_DEP_VERSION} REQUIRED)
    set(HAVE_KGLOBALACCEL TRUE)
else()
    set(HAVE_KGLOBALACCEL FALSE)
endif()

if (NOT ANDROID)
  find_package(KF6WidgetsAddons ${KF_DEP_VERSION} REQUIRED)
endif()

configure_file(config-kdeclarative.h.in ${CMAKE_BINARY_DIR}/config-kdeclarative.h)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

option(BUILD_EXAMPLES "Build and install examples." OFF)

# ECM setup
ecm_setup_version(
  PROJECT
  VARIABLE_PREFIX KDECLARATIVE
  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kdeclarative_version.h"
  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6DeclarativeConfigVersion.cmake"
  SOVERSION 6)

# Subdirectories
add_definitions(-DTRANSLATION_DOMAIN=\"kdeclarative6\")
ecm_set_disabled_deprecation_versions(
    QT 6.10.0
    KF 6.17.0
)

ki18n_install(po)

add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(tests)
endif()

# Create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6Declarative")

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF6DeclarativeConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6DeclarativeConfig.cmake"
  INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF6DeclarativeConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6DeclarativeConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT
  KF6DeclarativeTargets
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  FILE KF6DeclarativeTargets.cmake
  NAMESPACE KF6::
  COMPONENT Devel
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/kdeclarative_version.h"
  DESTINATION "${KDE_INSTALL_INCLUDEDIR_KF}/KDeclarative"
  COMPONENT Devel
)

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== src/qmlcontrols/CMakeLists.txt ===
add_subdirectory(draganddrop)
add_subdirectory(kquickcontrolsaddons)
add_subdirectory(graphicaleffects)
add_subdirectory(kquickcontrols)

=== src/qmlcontrols/draganddrop/CMakeLists.txt ===
ecm_add_qml_module(draganddropplugin URI org.kde.draganddrop VERSION 2.0 DEPENDENCIES QtQuick GENERATE_PLUGIN_SOURCE)

ecm_generate_qdoc(draganddropplugin draganddrop.qdocconf)

target_sources(draganddropplugin PRIVATE
    DeclarativeDragArea.cpp
    DeclarativeDragArea.h
    DeclarativeDragDropEvent.cpp
    DeclarativeDragDropEvent.h
    DeclarativeDropArea.cpp
    DeclarativeDropArea.h
    DeclarativeMimeData.cpp
    DeclarativeMimeData.h
    MimeDataWrapper.cpp
    MimeDataWrapper.h
)

target_link_libraries(draganddropplugin PRIVATE
    Qt6::Core
    Qt6::Quick
    Qt6::Qml
    Qt6::Gui
)

ecm_finalize_qml_module(draganddropplugin)

=== src/qmlcontrols/kquickcontrols/private/CMakeLists.txt ===
add_library(kquickcontrolsprivate)

generate_export_header(kquickcontrolsprivate)

ecm_add_qml_module(kquickcontrolsprivate URI "org.kde.private.kquickcontrols" VERSION 2.0 GENERATE_PLUGIN_SOURCE)

qt_extract_metatypes(kquickcontrolsprivate)

set_target_properties(kquickcontrolsprivate PROPERTIES
    VERSION     ${PROJECT_VERSION}
    SOVERSION   0
)

target_sources(kquickcontrolsprivate PRIVATE
    keysequencehelper.cpp
    keysequencehelper.h
    keysequencevalidator.cpp
    keysequencevalidator.h
    translationcontext.cpp
    translationcontext.h
    enums.cpp
    enums.h
)

target_link_libraries(kquickcontrolsprivate
    PRIVATE
    Qt6::Core
    Qt6::Quick
    Qt6::Qml
    KF6::I18n
    KF6::ConfigGui
    KF6::GuiAddons
)

target_include_directories(kquickcontrolsprivate PRIVATE ${CMAKE_BINARY_DIR})

if (HAVE_KGLOBALACCEL)
    target_link_libraries(kquickcontrolsprivate PRIVATE KF6::GlobalAccel)
endif()

if (NOT ANDROID)
    target_link_libraries(kquickcontrolsprivate PRIVATE KF6::WidgetsAddons)
endif()

ecm_finalize_qml_module(kquickcontrolsprivate)

install(TARGETS kquickcontrolsprivate DESTINATION ${KDE_INSTALL_LIBDIR} LIBRARY NAMELINK_SKIP)

=== debian/changelog ===
kf6-kdeclarative (6.18.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.18.0).
  * Update build-deps and deps with the info from cmake.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Tue, 30 Sep 2025 19:16:37 +0200

=== debian/control ===
Source: kf6-kdeclarative
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               doxygen,
               extra-cmake-modules (>= 6.18.0~),
               libkf6config-dev (>= 6.18.0~),
               libkf6globalaccel-dev (>= 6.18.0~),
               libkf6guiaddons-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6widgetsaddons-dev (>= 6.18.0~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
               qt6-base-private-dev (>= 6.5.0+dfsg~),
               qt6-declarative-dev (>= 6.7.0~),
               qt6-declarative-private-dev (>= 6.5.0+dfsg~),
               qt6-shadertools-dev (>= 6.5.0~),
               qt6-tools-dev (>= 6.5.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/kdeclarative
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kdeclarative
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kdeclarative.git
Rules-Requires-Root: no

Package: libkf6calendarevents6
Architecture: any
Multi-Arch: same
Depends: libkf6declarative-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: provides integration of QML and KDE frameworks -- calendarevents
 Framework providing integration of QML and other KDE frameworks such
 as making i18n available.

Package: libkf6declarative-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: provides integration of QML and KDE frameworks
 Framework providing integration of QML and other KDE frameworks such
 as making i18n available.
 .
 This package contains the translation files.

Package: libkf6declarative-dev
Section: libdevel
Architecture: any
Depends: libkf6calendarevents6 (= ${binary:Version}),
         qml6-module-org-kde-draganddrop (= ${binary:Version}),
         qml6-module-org-kde-graphicaleffects (= ${binary:Version}),
         qml6-module-org-kde-kquickcontrols (= ${binary:Version}),
         qml6-module-org-kde-kquickcontrolsaddons (= ${binary:Version}),
         qt6-base-dev (>= 6.7.0~),
         qt6-declarative-dev (>= 6.7.0~),
         ${misc:Depends},
Recommends: libkf6declarative-doc (= ${source:Version}),
Description: development files for kdeclarative
 Framework providing integration of QML and other KDE frameworks such
 as making i18n available.
 .
 Contains development files for kdeclarative.

Package: libkf6declarative-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: provides integration of QML and KDE frameworks (documentation)
 Framework providing integration of QML and other KDE frameworks such
 as making i18n available.
 .
 This package contains the qch documentation files.
Section: doc

Package: qml6-module-org-kde-draganddrop
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: provides integration of QML and KDE frameworks - draganddrop
 Provides QML draganddrop functionality.

Package: qml6-module-org-kde-graphicaleffects
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: provides integration of QML and KDE Frameworks - graphicaleffects
 This import contains KDE extras that are visually similar to Qt Quick
 Controls.
 .
 This package contains the QML files used by libkf6declarative.

Package: qml6-module-org-kde-kquickcontrols
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: provides integration of QML and KDE frameworks - kquickcontrols
 This import contains KDE extras that are visually similar to Qt Quick
 Controls.

Package: qml6-module-org-kde-kquickcontrolsaddons
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: provides integration of QML and KDE Frameworks - kquickcontrolsaddons
 This import contains KDE extras that are visually similar to Qt Quick
 Controls.
 .
 This package contains the QML files used by libkf6declarative.

## kf6-kdeclarative 6.19.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.18.0") # handled by release scripts
-set(KF_DEP_VERSION "6.18.0") # handled by release scripts
+set(KF_VERSION "6.19.0") # handled by release scripts
+set(KF_DEP_VERSION "6.19.0") # handled by release scripts
 set(REQUIRED_QT_VERSION 6.7.0)
 project(KDeclarative VERSION ${KF_VERSION})
 
 # Dependencies
 include(FeatureSummary)
-find_package(ECM 6.18.0  NO_MODULE)
+find_package(ECM 6.19.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -60,7 +60,7 @@
 add_definitions(-DTRANSLATION_DOMAIN=\"kdeclarative6\")
 ecm_set_disabled_deprecation_versions(
     QT 6.10.0
-    KF 6.17.0
+    KF 6.18.0
 )
 
 ki18n_install(po)

=== src/CMakeLists.txt ===
add_subdirectory(qmlcontrols)
add_subdirectory(calendarevents)

=== src/qmlcontrols/kquickcontrols/CMakeLists.txt ===
add_subdirectory(private)

ecm_add_qml_module(kquickcontrols URI "org.kde.kquickcontrols" VERSION 2.0 GENERATE_PLUGIN_SOURCE)

target_sources(kquickcontrols PRIVATE types.h)

ecm_target_qml_sources(kquickcontrols SOURCES ColorButton.qml KeySequenceItem.qml)

ecm_finalize_qml_module(kquickcontrols)


target_link_libraries(kquickcontrols PRIVATE kquickcontrolsprivate KF6::GuiAddons)

ecm_generate_qdoc(kquickcontrols kquickcontrols.qdocconf)

=== debian/changelog ===
kf6-kdeclarative (6.19.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.18.0)
  * New upstream release (6.19.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Oct 2025 15:05:15 +0100

=== debian/control ===
--- 
+++ 
@@ -1,36 +1,47 @@
 Source: kf6-kdeclarative
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.18.0~),
-               libkf6config-dev (>= 6.18.0~),
-               libkf6globalaccel-dev (>= 6.18.0~),
-               libkf6guiaddons-dev (>= 6.18.0~),
-               libkf6i18n-dev (>= 6.18.0~),
-               libkf6widgetsaddons-dev (>= 6.18.0~),
+               extra-cmake-modules (>= 6.19.0~),
+               libkf6config-dev (>= 6.19.0~),
+               libkf6globalaccel-dev (>= 6.19.0~),
+               libkf6guiaddons-dev (>= 6.19.0~),
+               libkf6i18n-dev (>= 6.19.0~),
+               libkf6widgetsaddons-dev (>= 6.19.0~),
                libxkbcommon-dev,
                pkgconf,
-               qt6-base-dev (>= 6.7.0~),
+               qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-base-private-dev (>= 6.5.0+dfsg~),
-               qt6-declarative-dev (>= 6.7.0~),
+               qt6-declarative-dev (>= 6.5.0+dfsg~),
                qt6-declarative-private-dev (>= 6.5.0+dfsg~),
                qt6-shadertools-dev (>= 6.5.0~),
                qt6-tools-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kdeclarative
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kdeclarative
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kdeclarative.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kdeclarative
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kdeclarative
 Rules-Requires-Root: no
+
+Package: libkquickcontrolsprivate0
+Architecture: any
+Multi-Arch: same
+Depends: libkf6declarative-data (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends},
+Description: provides integration of QML and KDE frameworks -- calendarevents
+ Framework providing integration of QML and other KDE frameworks such
+ as making i18n available.
 
 Package: libkf6calendarevents6
 Architecture: any
@@ -56,12 +67,13 @@
 Section: libdevel
 Architecture: any
 Depends: libkf6calendarevents6 (= ${binary:Version}),
+         libkquickcontrolsprivate0 (= ${binary:Version}),
          qml6-module-org-kde-draganddrop (= ${binary:Version}),
          qml6-module-org-kde-graphicaleffects (= ${binary:Version}),
          qml6-module-org-kde-kquickcontrols (= ${binary:Version}),
          qml6-module-org-kde-kquickcontrolsaddons (= ${binary:Version}),
-         qt6-base-dev (>= 6.7.0~),
-         qt6-declarative-dev (>= 6.7.0~),
+         qt6-base-dev (>= 6.5.0+dfsg~),
+         qt6-declarative-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
 Recommends: libkf6declarative-doc (= ${source:Version}),
 Description: development files for kdeclarative
@@ -84,18 +96,14 @@
 Package: qml6-module-org-kde-draganddrop
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${qml6:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: provides integration of QML and KDE frameworks - draganddrop
  Provides QML draganddrop functionality.
 
 Package: qml6-module-org-kde-graphicaleffects
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${qml6:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: provides integration of QML and KDE Frameworks - graphicaleffects
  This import contains KDE extras that are visually similar to Qt Quick
  Controls.

## kf6-kdeclarative 6.19.0+p24.04+vstable+git20251017.0442

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.19.0") # handled by release scripts
+set(KF_VERSION "6.20.0") # handled by release scripts
 set(KF_DEP_VERSION "6.19.0") # handled by release scripts
-set(REQUIRED_QT_VERSION 6.7.0)
+set(REQUIRED_QT_VERSION 6.8.0)
 project(KDeclarative VERSION ${KF_VERSION})
 
 # Dependencies

=== debian/changelog ===
kf6-kdeclarative (6.19.0+p24.04+vstable+git20251017.0442-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 17 Oct 2025 04:42:34 +0000

kf6-kdeclarative (6.19.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 06:54:14 +0000

kf6-kdeclarative (6.18.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Sep 2025 22:52:55 +0000

kf6-kdeclarative (6.17.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Aug 2025 00:14:39 +0000

kf6-kdeclarative (6.16.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jul 2025 06:12:55 +0000

kf6-kdeclarative (6.15.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jun 2025 05:44:21 +0000

kf6-kdeclarative (6.14.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 May 2025 10:31:45 +0000

kf6-kdeclarative (6.13.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 13 Apr 2025 01:39:21 +0000

kf6-kdeclarative (6.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 17 Mar 2025 21:56:05 +0000

kf6-kdeclarative (6.11.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Fri, 21 Feb 2025 12:50:20 +1000

kf6-kdeclarative (6.10.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 11:18:08 +0000

kf6-kdeclarative (6.9.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 13 Dec 2024 10:25:24 +0000

kf6-kdeclarative (6.8.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Nov 2024 00:27:30 +0000

kf6-kdeclarative (6.7.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 15:22:53 +0000

kf6-kdeclarative (6.6.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 21 Sep 2024 03:29:28 +0000

kf6-kdeclarative (6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Aug 2024 22:57:39 +0000

kf6-kdeclarative (6.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jul 2024 04:40:30 +0000

kf6-kdeclarative (6.3.0-1neon) noble; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Thu, 13 Jun 2024 14:28:53 +1000

kf6-kdeclarative (6.3.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Jun 2024 03:53:43 +0000

kf6-kdeclarative (6.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 21 Feb 2024 16:17:21 +0000

kf6-kdeclarative (5.245.0-0neon) jammy; urgency=medium

  * New alpha release

 -- Neon CI <neon@kde.org>  Fri, 17 Nov 2023 01:18:08 +0000

kf6-kdeclarative (0.0-0neon) UNRELEASED; urgency=medium

  * New release

 -- Jonathan Esk-Riddell <jr@jriddell.org>  Mon, 12 Dec 2022 13:04:30 +0000

=== debian/control ===
Source: kf6-kdeclarative
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               graphviz,
               kde-qdoc-common-dev,
               kf6-extra-cmake-modules,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kglobalaccel-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kio-dev,
               libepoxy-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-shadertools-dev,
               qt6-tools-dev
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/frameworks/kdeclarative
Vcs-Git: https://invent.kde.org/neon/kf6/kf6-kdeclarative.git
Vcs-Browser: https://invent.kde.org/neon/kf6/kf6-kdeclarative
Maintainer: Neon CI <neon@kde.org>

Package: kf6-kdeclarative
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: kpackagelauncherqml6,
          libkf6calendarevents6,
          libkf6declarative-data,
          libkf6declarative6,
          libkf6quickaddons6,
          qml6-module-org-kde-draganddrop,
          qml6-module-org-kde-graphicaleffects,
          qml6-module-org-kde-kcm,
          qml6-module-org-kde-kconfig,
          qml6-module-org-kde-kcoreaddons,
          qml6-module-org-kde-kio,
          qml6-module-org-kde-kquickcontrols,
          qml6-module-org-kde-kquickcontrolsaddons,
          qml6-module-org-kde-kwindowsystem,
          qtdeclarative6-kf6declarative
Description: commandline tool for launching kpackage QML application
 A small commandline tool to launch KPackages (QML applications).

Package: kf6-kdeclarative-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: kf6-kconfig-dev,
         kf6-kdeclarative (= ${binary:Version}),
         qt6-declarative-dev,
         ${misc:Depends}
Replaces: libkf6declarative-dev, libkf6declarative-doc
Description: development files for kdeclarative
 Framework providing integration of QML and other KDE frameworks such
 as making i18n available and using kio.
 .
 Contains development files for kdeclarative.

Package: kpackagelauncherqml6
Architecture: all
Depends: kf6-kdeclarative, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6calendarevents6
Architecture: all
Depends: kf6-kdeclarative, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6declarative-data
Architecture: all
Depends: kf6-kdeclarative, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6declarative-doc
Architecture: all
Depends: kf6-kdeclarative-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6declarative6
Architecture: all
Depends: kf6-kdeclarative, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6declarative-dev
Architecture: all
Depends: kf6-kdeclarative-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6quickaddons6
Architecture: all
Depends: kf6-kdeclarative, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-org-kde-draganddrop
Architecture: all
Depends: kf6-kdeclarative, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-org-kde-graphicaleffects
Architecture: all
Depends: kf6-kdeclarative, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-org-kde-kcm
Architecture: all
Depends: kf6-kdeclarative, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-org-kde-kconfig
Architecture: all
Depends: kf6-kdeclarative, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-org-kde-kcoreaddons
Architecture: all
Depends: kf6-kdeclarative, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-org-kde-kio
Architecture: all
Depends: kf6-kdeclarative, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-org-kde-kquickcontrols
Architecture: all
Depends: kf6-kdeclarative, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-org-kde-kquickcontrolsaddons
Architecture: all
Depends: kf6-kdeclarative, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-org-kde-kwindowsystem
Architecture: all
Depends: kf6-kdeclarative, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qtdeclarative6-kf6declarative
Architecture: all
Depends: kf6-kdeclarative, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## kf6-kdeclarative 6.19.0+p24.04+vstable+git20251019.0142

=== src/qmlcontrols/kquickcontrols/private/CMakeLists.txt ===
--- 
+++ 
@@ -44,4 +44,4 @@
 
 ecm_finalize_qml_module(kquickcontrolsprivate)
 
-install(TARGETS kquickcontrolsprivate DESTINATION ${KDE_INSTALL_LIBDIR} LIBRARY NAMELINK_SKIP)
+install(TARGETS kquickcontrolsprivate ${KF_INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)

=== debian/changelog ===
kf6-kdeclarative (6.19.0+p24.04+vstable+git20251019.0142-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 01:42:45 +0000

## kf6-kdeclarative 6.19.0+p24.04+vunstable+git20251016.0149

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 set(KF_VERSION "6.20.0") # handled by release scripts
 set(KF_DEP_VERSION "6.19.0") # handled by release scripts
-set(REQUIRED_QT_VERSION 6.8.0)
+set(REQUIRED_QT_VERSION 6.7.0)
 project(KDeclarative VERSION ${KF_VERSION})
 
 # Dependencies

=== debian/changelog ===
kf6-kdeclarative (6.19.0+p24.04+vunstable+git20251016.0149-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 16 Oct 2025 01:49:41 +0000

## kf6-kdeclarative 6.19.0+p24.04+vunstable+git20251020.1033

=== debian/changelog ===
kf6-kdeclarative (6.19.0+p24.04+vunstable+git20251020.1033-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 10:33:59 +0000

## kf6-kdeclarative 6.20.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
 cmake_minimum_required(VERSION 3.16)
 
 set(KF_VERSION "6.20.0") # handled by release scripts
-set(KF_DEP_VERSION "6.19.0") # handled by release scripts
-set(REQUIRED_QT_VERSION 6.7.0)
+set(KF_DEP_VERSION "6.20.0") # handled by release scripts
+set(REQUIRED_QT_VERSION 6.8.0)
 project(KDeclarative VERSION ${KF_VERSION})
 
 # Dependencies
 include(FeatureSummary)
-find_package(ECM 6.19.0  NO_MODULE)
+find_package(ECM 6.20.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -60,7 +60,7 @@
 add_definitions(-DTRANSLATION_DOMAIN=\"kdeclarative6\")
 ecm_set_disabled_deprecation_versions(
     QT 6.10.0
-    KF 6.18.0
+    KF 6.19.0
 )
 
 ki18n_install(po)

=== src/calendarevents/CMakeLists.txt ===
set(calendar-integration_SRCS
    calendareventsplugin.cpp
    calendareventsplugin.h
    eventdata_p.cpp
)

add_library(KF6CalendarEvents ${calendar-integration_SRCS})
add_library(KF6::CalendarEvents ALIAS KF6CalendarEvents)

set_target_properties(KF6CalendarEvents PROPERTIES
    VERSION     ${KDECLARATIVE_VERSION}
    SOVERSION   ${KDECLARATIVE_SOVERSION}
    EXPORT_NAME CalendarEvents
)

ecm_generate_export_header(KF6CalendarEvents
    BASE_NAME CalendarEvents
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    USE_VERSION_HEADER
    VERSION_BASE_NAME KDeclarative
    DEPRECATED_BASE_VERSION 0
)

target_link_libraries(KF6CalendarEvents PUBLIC Qt6::Core)

target_include_directories(KF6CalendarEvents
    INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KDeclarative>"
    PUBLIC "$<BUILD_INTERFACE:${CMAKE_BINARY_DIR}>" # module version header
)

install(TARGETS KF6CalendarEvents EXPORT KF6DeclarativeTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

ecm_generate_headers(CalendarEvents_CamelCase_HEADERS
  HEADER_NAMES
  CalendarEventsPlugin

  PREFIX CalendarEvents
  REQUIRED_HEADERS CalendarEvents_HEADERS
)

ecm_generate_qdoc(KF6CalendarEvents calendarevents.qdocconf)

install(FILES ${CalendarEvents_CamelCase_HEADERS} DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KDeclarative/CalendarEvents COMPONENT Devel)

install (FILES
        ${CalendarEvents_HEADERS}
	${CMAKE_CURRENT_BINARY_DIR}/calendarevents_export.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KDeclarative/calendarevents COMPONENT Devel
)

=== debian/changelog ===
kf6-kdeclarative (6.20.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.20.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Nov 2025 19:24:36 +0100

=== debian/control ===
Source: kf6-kdeclarative
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               doxygen,
               extra-cmake-modules (>= 6.20.0~),
               libkf6config-dev (>= 6.20.0~),
               libkf6globalaccel-dev (>= 6.20.0~),
               libkf6guiaddons-dev (>= 6.20.0~),
               libkf6i18n-dev (>= 6.20.0~),
               libkf6widgetsaddons-dev (>= 6.20.0~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.8.0~),
               qt6-base-private-dev (>= 6.5.0+dfsg~),
               qt6-declarative-dev (>= 6.8.0~),
               qt6-declarative-private-dev (>= 6.5.0+dfsg~),
               qt6-shadertools-dev (>= 6.5.0~),
               qt6-tools-dev (>= 6.5.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/kdeclarative
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kdeclarative
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kdeclarative.git
Rules-Requires-Root: no

Package: libkf6calendarevents6
Architecture: any
Multi-Arch: same
Depends: libkf6declarative-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: provides integration of QML and KDE frameworks -- calendarevents
 Framework providing integration of QML and other KDE frameworks such
 as making i18n available.

Package: libkf6declarative-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: provides integration of QML and KDE frameworks
 Framework providing integration of QML and other KDE frameworks such
 as making i18n available.
 .
 This package contains the translation files.

Package: libkf6declarative-dev
Section: libdevel
Architecture: any
Depends: libkf6calendarevents6 (= ${binary:Version}),
         qml6-module-org-kde-draganddrop (= ${binary:Version}),
         qml6-module-org-kde-graphicaleffects (= ${binary:Version}),
         qml6-module-org-kde-kquickcontrols (= ${binary:Version}),
         qml6-module-org-kde-kquickcontrolsaddons (= ${binary:Version}),
         qt6-base-dev (>= 6.8.0~),
         qt6-declarative-dev (>= 6.8.0~),
         ${misc:Depends},
Recommends: libkf6declarative-doc (= ${source:Version}),
Description: development files for kdeclarative
 Framework providing integration of QML and other KDE frameworks such
 as making i18n available.
 .
 Contains development files for kdeclarative.

Package: libkf6declarative-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: provides integration of QML and KDE frameworks (documentation)
 Framework providing integration of QML and other KDE frameworks such
 as making i18n available.
 .
 This package contains the qch documentation files.
Section: doc

Package: qml6-module-org-kde-draganddrop
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: provides integration of QML and KDE frameworks - draganddrop
 Provides QML draganddrop functionality.

Package: qml6-module-org-kde-graphicaleffects
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: provides integration of QML and KDE Frameworks - graphicaleffects
 This import contains KDE extras that are visually similar to Qt Quick
 Controls.
 .
 This package contains the QML files used by libkf6declarative.

Package: qml6-module-org-kde-kquickcontrols
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: provides integration of QML and KDE frameworks - kquickcontrols
 This import contains KDE extras that are visually similar to Qt Quick
 Controls.

Package: qml6-module-org-kde-kquickcontrolsaddons
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: provides integration of QML and KDE Frameworks - kquickcontrolsaddons
 This import contains KDE extras that are visually similar to Qt Quick
 Controls.
 .
 This package contains the QML files used by libkf6declarative.

## kf6-kdeclarative 6.20.0+p24.04+vunstable+git20251130.0458

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.20.0") # handled by release scripts
+set(KF_VERSION "6.21.0") # handled by release scripts
 set(KF_DEP_VERSION "6.20.0") # handled by release scripts
 set(REQUIRED_QT_VERSION 6.8.0)
 project(KDeclarative VERSION ${KF_VERSION})

=== debian/changelog ===
kf6-kdeclarative (6.20.0+p24.04+vunstable+git20251130.0458-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 30 Nov 2025 04:58:56 +0000

kf6-kdeclarative (6.20.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 15:33:51 +1000

## kf6-kdeclarative 6.20.0+p24.04+vunstable+git20251206.0642

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.21.0") # handled by release scripts
-set(KF_DEP_VERSION "6.20.0") # handled by release scripts
+set(KF_VERSION "6.22.0") # handled by release scripts
+set(KF_DEP_VERSION "6.21.0") # handled by release scripts
 set(REQUIRED_QT_VERSION 6.8.0)
 project(KDeclarative VERSION ${KF_VERSION})
 
 # Dependencies
 include(FeatureSummary)
-find_package(ECM 6.20.0  NO_MODULE)
+find_package(ECM 6.21.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kf6-kdeclarative (6.20.0+p24.04+vunstable+git20251206.0642-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 06:42:16 +0000

## kf6-kdeclarative 6.21.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.22.0") # handled by release scripts
+set(KF_VERSION "6.21.0") # handled by release scripts
 set(KF_DEP_VERSION "6.21.0") # handled by release scripts
 set(REQUIRED_QT_VERSION 6.8.0)
 project(KDeclarative VERSION ${KF_VERSION})

=== debian/changelog ===
kf6-kdeclarative (6.21.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.21.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 12 Dec 2025 11:50:39 +0000

kf6-kdeclarative (6.20.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.20.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Nov 2025 16:13:37 +0000

=== debian/control ===
Source: kf6-kdeclarative
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               doxygen,
               extra-cmake-modules (>= 6.21.0~),
               libkf6config-dev (>= 6.21.0~),
               libkf6globalaccel-dev (>= 6.21.0~),
               libkf6guiaddons-dev (>= 6.21.0~),
               libkf6i18n-dev (>= 6.21.0~),
               libkf6widgetsaddons-dev (>= 6.21.0~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.8.0+dfsg~),
               qt6-base-private-dev (>= 6.8.0+dfsg~),
               qt6-declarative-dev (>= 6.8.0+dfsg~),
               qt6-declarative-private-dev (>= 6.8.0+dfsg~),
               qt6-shadertools-dev (>= 6.8.0~),
               qt6-tools-dev (>= 6.8.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/kdeclarative
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kdeclarative
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kdeclarative
Rules-Requires-Root: no

Package: libkquickcontrolsprivate0
Architecture: any
Multi-Arch: same
Depends: libkf6declarative-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: provides integration of QML and KDE frameworks -- calendarevents
 Framework providing integration of QML and other KDE frameworks such
 as making i18n available.

Package: libkf6calendarevents6
Architecture: any
Multi-Arch: same
Depends: libkf6declarative-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: provides integration of QML and KDE frameworks -- calendarevents
 Framework providing integration of QML and other KDE frameworks such
 as making i18n available.

Package: libkf6declarative-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: provides integration of QML and KDE frameworks
 Framework providing integration of QML and other KDE frameworks such
 as making i18n available.
 .
 This package contains the translation files.

Package: libkf6declarative-dev
Section: libdevel
Architecture: any
Depends: libkf6calendarevents6 (= ${binary:Version}),
         libkquickcontrolsprivate0 (= ${binary:Version}),
         qml6-module-org-kde-draganddrop (= ${binary:Version}),
         qml6-module-org-kde-graphicaleffects (= ${binary:Version}),
         qml6-module-org-kde-kquickcontrols (= ${binary:Version}),
         qml6-module-org-kde-kquickcontrolsaddons (= ${binary:Version}),
         qt6-base-dev (>= 6.8.0+dfsg~),
         qt6-declarative-dev (>= 6.8.0+dfsg~),
         ${misc:Depends},
Recommends: libkf6declarative-doc (= ${source:Version}),
Description: development files for kdeclarative
 Framework providing integration of QML and other KDE frameworks such
 as making i18n available.
 .
 Contains development files for kdeclarative.

Package: libkf6declarative-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: provides integration of QML and KDE frameworks (documentation)
 Framework providing integration of QML and other KDE frameworks such
 as making i18n available.
 .
 This package contains the qch documentation files.
Section: doc

Package: qml6-module-org-kde-draganddrop
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: provides integration of QML and KDE frameworks - draganddrop
 Provides QML draganddrop functionality.

Package: qml6-module-org-kde-graphicaleffects
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: provides integration of QML and KDE Frameworks - graphicaleffects
 This import contains KDE extras that are visually similar to Qt Quick
 Controls.
 .
 This package contains the QML files used by libkf6declarative.

Package: qml6-module-org-kde-kquickcontrols
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: provides integration of QML and KDE frameworks - kquickcontrols
 This import contains KDE extras that are visually similar to Qt Quick
 Controls.

Package: qml6-module-org-kde-kquickcontrolsaddons
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: provides integration of QML and KDE Frameworks - kquickcontrolsaddons
 This import contains KDE extras that are visually similar to Qt Quick
 Controls.
 .
 This package contains the QML files used by libkf6declarative.

## kf6-kdeclarative 6.21.0+p24.04+vstable+git20251224.0650

=== debian/changelog ===
kf6-kdeclarative (6.21.0+p24.04+vstable+git20251224.0650-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 24 Dec 2025 06:50:33 +0000

kf6-kdeclarative (6.21.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 15:12:52 +1000

## kf6-kdeclarative 6.21.0+p24.04+vstable+git20251226.0321

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.21.0") # handled by release scripts
+set(KF_VERSION "6.22.0") # handled by release scripts
 set(KF_DEP_VERSION "6.21.0") # handled by release scripts
 set(REQUIRED_QT_VERSION 6.8.0)
 project(KDeclarative VERSION ${KF_VERSION})
@@ -59,8 +59,8 @@
 # Subdirectories
 add_definitions(-DTRANSLATION_DOMAIN=\"kdeclarative6\")
 ecm_set_disabled_deprecation_versions(
-    QT 6.10.0
-    KF 6.19.0
+    QT 6.11.0
+    KF 6.21.0
 )
 
 ki18n_install(po)

=== debian/changelog ===
kf6-kdeclarative (6.21.0+p24.04+vstable+git20251226.0321-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Dec 2025 03:21:45 +0000

## kf6-kdeclarative 6.21.0+p24.04+vstable+git20260103.0358

=== debian/changelog ===
kf6-kdeclarative (6.21.0+p24.04+vstable+git20260103.0358-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 03:58:42 +0000

## kf6-kdeclarative 6.21.0+p24.04+vunstable+git20260104.0124

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.22.0") # handled by release scripts
-set(KF_DEP_VERSION "6.21.0") # handled by release scripts
+set(KF_VERSION "6.23.0") # handled by release scripts
+set(KF_DEP_VERSION "6.22.0") # handled by release scripts
 set(REQUIRED_QT_VERSION 6.8.0)
 project(KDeclarative VERSION ${KF_VERSION})
 
 # Dependencies
 include(FeatureSummary)
-find_package(ECM 6.21.0  NO_MODULE)
+find_package(ECM 6.22.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

## kf6-kdeclarative 6.22.0

=== debian/changelog ===
kf6-kdeclarative (6.22.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.22.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 Jan 2026 18:29:45 +0000

=== debian/control ===
--- 
+++ 
@@ -5,18 +5,18 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.21.0~),
-               libkf6config-dev (>= 6.21.0~),
-               libkf6globalaccel-dev (>= 6.21.0~),
-               libkf6guiaddons-dev (>= 6.21.0~),
-               libkf6i18n-dev (>= 6.21.0~),
-               libkf6widgetsaddons-dev (>= 6.21.0~),
+               extra-cmake-modules (>= 6.22.0~),
+               libkf6config-dev (>= 6.22.0~),
+               libkf6globalaccel-dev (>= 6.22.0~),
+               libkf6guiaddons-dev (>= 6.22.0~),
+               libkf6i18n-dev (>= 6.22.0~),
+               libkf6widgetsaddons-dev (>= 6.22.0~),
                libxkbcommon-dev,
                pkgconf,
                qt6-base-dev (>= 6.8.0+dfsg~),
@@ -121,7 +121,9 @@
 Package: qml6-module-org-kde-kquickcontrolsaddons
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${qml6:Depends},
+         ${shlibs:Depends},
 Description: provides integration of QML and KDE Frameworks - kquickcontrolsaddons
  This import contains KDE extras that are visually similar to Qt Quick
  Controls.

## kf6-kdeclarative 6.22.0+p24.04+vstable+git20260116.1133

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.16)
+cmake_minimum_required(VERSION 3.27)
 
 set(KF_VERSION "6.23.0") # handled by release scripts
 set(KF_DEP_VERSION "6.22.0") # handled by release scripts

=== debian/changelog ===
kf6-kdeclarative (6.22.0+p24.04+vstable+git20260116.1133-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 16 Jan 2026 11:33:21 +0000

kf6-kdeclarative (6.22.0-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 16:44:28 +1000

## kf6-kdeclarative 6.22.0+p24.04+vstable+git20260124.0155

=== debian/changelog ===
kf6-kdeclarative (6.22.0+p24.04+vstable+git20260124.0155-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 24 Jan 2026 01:56:01 +0000

## kf6-kdeclarative 6.22.0+p24.04+vunstable+git20260106.1118

=== debian/changelog ===
kf6-kdeclarative (6.22.0+p24.04+vunstable+git20260106.1118-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 11:19:01 +0000

## kf6-kdeclarative 6.22.0+p24.04+vunstable+git20260116.1410

=== debian/changelog ===
kf6-kdeclarative (6.22.0+p24.04+vunstable+git20260116.1410-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 16 Jan 2026 14:10:29 +0000

## kf6-kdeclarative 6.22.0+p24.04+vunstable+git20260126.0900

=== debian/changelog ===
kf6-kdeclarative (6.22.0+p24.04+vunstable+git20260126.0900-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 09:00:53 +0000
